# Exam Registrations Exam Registrations ## Gets all of the exam registrations in the system. - [GET /examRegistrations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/exam-registrations/listexamregistrations.md): This method will scan all exam registrations and and return them to the caller. ## Creates a new exam registration record that does not already exist. - [POST /examRegistrations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/exam-registrations/createexamregistration.md): This method will auto-generate an ID and create a new exam registration. If an ID is specified for the exam registration, an error will be thrown. ## Returns a list of records with the specified application_id - [GET /examRegistrations/{tenantId}/application/{application_id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/exam-registrations/listregistrationsbyapplicationid.md): Returns a list of records with the specified application_id ## Execute Batch Operations - [POST /examRegistrations/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/exam-registrations/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified course_registration_id - [GET /examRegistrations/{tenantId}/courseRegistration/{course_registration_id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/exam-registrations/listregistrationsbycourseregistrationid.md): Returns a list of records with the specified course_registration_id ## Returns a list of records with the specified exam_id - [GET /examRegistrations/{tenantId}/exam/{exam_id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/exam-registrations/listregistrationsbyexamid.md): Returns a list of records with the specified exam_id ## Returns a list of records with the specified exam_offering_id - [GET /examRegistrations/{tenantId}/examOffering/{exam_offering_id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/exam-registrations/listregistrationsbyexamofferingid.md): Returns a list of records with the specified exam_offering_id ## Generates an order from a membership registration - [POST /examRegistrations/{tenantId}/generateOrder](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/exam-registrations/generateorder.md): This method will examine a cert exam reg and generate an appropriate order ## Generates an registration for a contact - [POST /examRegistrations/{tenantId}/generateRegistration/{processId}/{contactId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/exam-registrations/generateregistration.md) ## Sends out a preview of the CRC notification email - [POST /examRegistrations/{tenantId}/previewEmail](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/exam-registrations/previewemail.md): Sends out a preview of the CRC notification email ## Searches for exam registrations using predefined parameters - [POST /examRegistrations/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/exam-registrations/searchforexamregistrations.md): Searches for exam registrations using predefined parameters ## Send an exam notice - [POST /examRegistrations/{tenantId}/sendNotice/{id}/{noticeId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/exam-registrations/sendexamnotice.md): This will send an exam notice ## Returns a list of records with the specified student_id - [GET /examRegistrations/{tenantId}/student/{student_id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/exam-registrations/listregistrationsbystudentid.md): Returns a list of records with the specified student_id ## Returns a list of records with the specified student_exam_id - [GET /examRegistrations/{tenantId}/studentExam/{student_id}/{exam_id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/exam-registrations/listregistrationsbystudentidandexamid.md): Returns a list of records with the specified student_exam_id ## Returns a exam registration from the system by its ID. - [DELETE /examRegistrations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/exam-registrations/deleteexamregistration.md): This method will delete a exam registration with the specified ID. ## Returns a exam registration from the system by its ID. - [GET /examRegistrations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/exam-registrations/getexamregistration.md): This method will look up a exam registration by the specified ID and return it back. ## Partially updates a exam registration with the specified ID. - [PATCH /examRegistrations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/exam-registrations/patchexamregistration.md): This method will patch an existing exam registration with the specified ID, using the HTTP PATCH specification. ## Updates a exam registration with the specified ID. - [PUT /examRegistrations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/exam-registrations/updateexamregistration.md): This method will update an existing exam registration with the specified ID.